package net.vtstar.zhongtong.avi.equipment.service;

import net.vtstar.zhongtong.avi.stamping.domain.LaserCuttingMachine;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class EquipmentService {

    public <T> T findRealTimeData() {
        List<LaserCuttingMachine> ma = new ArrayList<>();
        LaserCuttingMachine machine = new LaserCuttingMachine();
        machine.setBeginTime(new Date());
        machine.setAlias("设备1");
        machine.setEquipCode("511111");
        machine.setCuttingSpeed(new BigDecimal(555));
        machine.setGasPressure(new BigDecimal(477));
        machine.setLaserPower(new BigDecimal(77777));
        ma.add(machine);
        return (T) ma;
    }
}
